Subject: A mistake of RFC 2328 (in chapter 13 OSPF flooding, step 4) ?

From: df klsd <[email-masked]>
Date: Thu, 24 Apr 2003 13:41:31 +0100

Hi. I have an issue to be clarified on the flooding LSA (§ 13 of RFC 2328). I am expecting somebody give me some answer for this issue. Considering router-A sending LSA with MaxAge to router-B for flushing an instance x. However, the instance x of the LSA is not existing in the router B. What the router B will do?  According to RFC 2328, §13, step (4):
                              If  "none of router's neighbours are in states Exchange or Loading, then take the following actions: a) Acknowledge the receipt of the LSA by sending a Link State Acknowledgement packet back to the sending neighbour (see Section 13.5), and b) Discard the LSA and examine the next LSA (if any) listed in the Link State Update packet." If  "one of router's neighbours is in states Exchange or Loading, According to RFC 2328, it shall proceed the step (5).  After carefully checking the substep (a)-(f), I don't find any action is done by router B except for the substep (b).  My questions are: 1. What is the point of flooding the non-existing instance with MaxAge?
2. the original sender router A will continually send the non-existing instance of the MaxAge LSA to router B because no ACK is received.
However, RFC 2178 and previous version will not have such a problem. Why RFC 2328 was made such a change? Is a bug in the RFC 2328? The right action for the router B should be also done: 1. directly send ACK. 2. discarding the MaxAge LSA which has no corresponding instance in the database even though "one of router's neighbours is in states Exchange or Loading. Am I right? BR Shaoji Ni

---------------------------------
Yahoo! Plus - For a better Internet experience

---

From: Acee Lindem <[email-masked]>
Date: Thu, 24 Apr 2003 09:08:08 -0400

Hi Shaoji,

Wasn't this discussed previously? Anyway, if router B has neighbors
in exchange or loading state it should treat the non-existent MaxAge
LSA as if it had an instance in its database. This implies that it
will ack and flood the LSA.

The reason for this action is to improve the robustness of the
flooding algorithm in the event that router B was restarted prior
to completing flooding of the MaxAge LSA (which would explain
why it doesn't have an instance in its database). I agree that this
may not be necessary since the a stale instance of the LSA should
eventually make its way back to router A and be purged.

Thanks,
Acee

df klsd wrote:
> Hi.
>
> I have an issue to be clarified on the flooding LSA (§ 13 of RFC 2328).
> I am expecting somebody give me some answer for this issue.
>
> Considering router-A sending LSA with MaxAge to router-B for flushing an
> instance x. However, the instance x of the LSA is not existing in the
> router B. What the router B will do?
>
>  According to RFC 2328, §13, step (4):
>
> If  "none of router's neighbours are in states Exchange or Loading, then
> take the following actions: a) Acknowledge the receipt of the LSA by
> sending a Link State Acknowledgement packet back to the sending
> neighbour (see Section 13.5), and b) Discard the LSA and examine the
> next LSA (if any) listed in the Link State Update packet."
>
> If  "one of router's neighbours is in states Exchange or Loading,
> According to RFC 2328, it shall proceed the step (5).
>
> After carefully checking the substep (a)-(f), I don't find any action is
> done by router B except for the substep (b).
>
> My questions are:
>
> 1. What is the point of flooding the non-existing instance with MaxAge?
> 2. the original sender router A will continually send the non-existing
> instance of the MaxAge LSA to router B because no ACK is received.
> However, RFC 2178 and previous version will not have such a problem. Why
> RFC 2328 was made such a change? Is a bug in the RFC 2328?
>
> The right action for the router B should be also done: 1. directly send
> ACK. 2. discarding the MaxAge LSA which has no corresponding instance in
> the database even though "one of router's neighbours is in states
> Exchange or Loading. Am I right?
>
> BR
>
> Shaoji Ni
>
>
>
>
> ------------------------------------------------------------------------
> <http://uk.rd.yahoo.com/evt=8613/*http://uk.yahoo.com/mail/tagline_plus/?http://uk.promotions.yahoo.com/yplus/btoffer.html>

--
Acee